package com.diagbot.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-08-04
 */
public class MedLisResultDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 医院ID
     */
    private Integer hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 报告代码
     */
    private String itemCode;

    /**
     * medLisResult报告名称
     */
    private String reportName;

    /**
     * medLisInfo报告名称
     */
    private String repName;

    /**
     * 报告名称
     */
    private String itemName;

    /**
     * 检验结果
     */
    private String result;

    /**
     * 参考值
     */
    private String reference;

    /**
     * 最小参考值
     */
    private String referenceMin;

    /**
     * 最大参考值
     */
    private String referenceMax;

    /**
     * 单位
     */
    private String unit;

    /**
     * 异常标志
     */
    private String abnormal;

    /**
     * 异常颜色
     */
    private String color;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public MedLisResultDTO(String repNo, Integer hospitalId, String behospitalCode, String itemCode, String reportName, String repName, String itemName, String result, String reference, String referenceMin, String referenceMax, String unit, String abnormal, String color, String isDeleted, LocalDateTime gmtCreate, LocalDateTime gmtModified, String creator, String modifier) {
        this.repNo = repNo;
        this.hospitalId = hospitalId;
        this.behospitalCode = behospitalCode;
        this.itemCode = itemCode;
        this.reportName = reportName;
        this.repName = repName;
        this.itemName = itemName;
        this.result = result;
        this.reference = reference;
        this.referenceMin = referenceMin;
        this.referenceMax = referenceMax;
        this.unit = unit;
        this.abnormal = abnormal;
        this.color = color;
        this.isDeleted = isDeleted;
        this.gmtCreate = gmtCreate;
        this.gmtModified = gmtModified;
        this.creator = creator;
        this.modifier = modifier;
    }

    public MedLisResultDTO() {
    }

    public void setRepNo(String repNo) {
        this.repNo = repNo;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public void setRepName(String repName) {
        this.repName = repName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public void setReferenceMin(String referenceMin) {
        this.referenceMin = referenceMin;
    }

    public void setReferenceMax(String referenceMax) {
        this.referenceMax = referenceMax;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setAbnormal(String abnormal) {
        this.abnormal = abnormal;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getRepNo() {
        return repNo;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public String getBehospitalCode() {
        return behospitalCode;
    }

    public String getItemCode() {
        return itemCode;
    }

    public String getReportName() {
        return reportName;
    }

    public String getRepName() {
        return repName;
    }

    public String getItemName() {
        return itemName;
    }

    public String getResult() {
        return result;
    }

    public String getReference() {
        return reference;
    }

    public String getReferenceMin() {
        return referenceMin;
    }

    public String getReferenceMax() {
        return referenceMax;
    }

    public String getUnit() {
        return unit;
    }

    public String getAbnormal() {
        return abnormal;
    }

    public String getColor() {
        return color;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public String getModifier() {
        return modifier;
    }

    @Override
    public String toString() {
        return "MedLisResultDTO{" +
                "repNo='" + repNo + '\'' +
                ", hospitalId=" + hospitalId +
                ", behospitalCode='" + behospitalCode + '\'' +
                ", itemCode='" + itemCode + '\'' +
                ", reportName='" + reportName + '\'' +
                ", repName='" + repName + '\'' +
                ", itemName='" + itemName + '\'' +
                ", result='" + result + '\'' +
                ", reference='" + reference + '\'' +
                ", referenceMin='" + referenceMin + '\'' +
                ", referenceMax='" + referenceMax + '\'' +
                ", unit='" + unit + '\'' +
                ", abnormal='" + abnormal + '\'' +
                ", color='" + color + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator='" + creator + '\'' +
                ", modifier='" + modifier + '\'' +
                '}';
    }
}
